/* YM2203 driver */

extern AUDIO_CHIP_DRIVER ym2203_interface;

int ym2203_Init(int num, int clock, int rate, int buffer_size);
void ym2203_Reset(int num);
void ym2203_Emulate(int num);
void ym2203_Shutdown(void);

byte ym2203_ReadStatus(int chip);
byte ym2203_ReadReg(int chip, int reg);
void ym2203_WriteReg(int chip, int reg, byte value);
void ym2203_SetPortHandler(int chip, int port, byte (*handler)(int,int,int,byte));
